Bug 205306 - (perl-SUPER) Review Request: perl-SUPER - Control superclass method dispatch
Review Request: perl-SUPER - Control superclass method dispatch
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/SUPER/
:
Depends On: perl-Sub-Identify
Blocks: FE-ACCEPT perl-Class-MOP
  Show dependency treegraph
 
Reported: 2006-09-05 18:19 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 19:10:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 18:19:19 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-SUPER-1.14-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-SUPER.spec

Description:
When subclassing a class, you occasionally want to dispatch control to the
superclass -- at least conditionally and temporarily. The Perl syntax for
calling your superclass is ugly and unwieldy:
Comment 1 Patrice Dumas 2006-09-07 03:36:14 EDT
The description ends with a :, this is certainly wrong...

perl(DB) should certainly filtered out.

It may be relevant to
Requires: perl(DB) perl(UNIVERSAL) 
even if they are in perl core, maybe with a explanatory comment. 

Otherwise
* rpmlint ignorable:
W: perl-SUPER strange-permission filter-provides.sh 0755

* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
591389c353df308ee9e70d38f0e3570b  SUPER-1.14.tar.gz
X insane provides
Provides: perl(DB) perl(SUPER) = 1.14
* %files right
Comment 2 Chris Weyl 2006-09-07 16:08:20 EDT
Updated:

SRPM URL: http://home.comcast.net/~ckweyl/perl-SUPER-1.14-2.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-SUPER.spec

I'm not explicitly requiring perl(DB) perl(UNIVERSAL) right now as a) they don't
look to be required, and b) in any case they're in core, so I can quash this
question on the ground it's moot anyways ;)
Comment 3 Patrice Dumas 2006-09-07 16:25:19 EDT
The provides are right now, but the description is still
weird...
Comment 4 Chris Weyl 2006-09-07 16:54:44 EDT
That's what I get for being too literal and not reading the text I'm fixing. 
I'll update to:

"When subclassing a class, you occasionally want to dispatch control to the
superclass -- at least conditionally and temporarily.   This module provides
an easier, cleaner way for class methods to access their ancestor's
implementation."
Comment 6 Patrice Dumas 2006-09-07 17:45:26 EDT
APPROVED
Comment 7 Chris Weyl 2006-09-07 19:10:36 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching 
+Close bug

Thanks for the review! :)
Comment 8 Chris Weyl 2007-04-19 16:42:58 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.